function selectBillingModel()
{
	(function($){
		let radioModel = $('input[name="ad_model"]:checked');
		let radioValues = $(".bsaProInputsValues");
		let radioValuesCPC = $(".bsaProInputsValuesCPC");
		let radioValuesCPM = $(".bsaProInputsValuesCPM");
		let radioValuesCPD = $(".bsaProInputsValuesCPD");
		$('input[name="ad_limit_cpc"]').prop('checked', false);
		$('input[name="ad_limit_cpm"]').prop('checked', false);
		$('input[name="ad_limit_cpd"]').prop('checked', false);
		$('input[name="ad_model"]').on('click', function() {
			$('.bsaInputInnerModel').removeClass('bsaSelected');
		});
		radioValues.slideUp();
		if ( radioModel.val() === 'cpc' ) {
			radioValuesCPC.slideDown();
			radioModel.parent(1).addClass('bsaSelected');
		} else if ( radioModel.val() === 'cpm' ) {
			radioValuesCPM.slideDown();
			radioModel.parent(1).addClass('bsaSelected');
		} else if ( radioModel.val() === 'cpd' ) {
			radioValuesCPD.slideDown();
			radioModel.parent(1).addClass('bsaSelected');
		}
	})(jQuery);
}
(function($){
	let bsaProItem = $('.bsaProItem');
	$(document).ready(function(){
		// order form redirection
		if ( $('#bsaSuccessProRedirect').length ) {
			let getRedirectUrl = $('#bsa_payment_url').val();
			setTimeout(function() {
				window.location.replace(getRedirectUrl);
			}, 2000);
		}
		// agency redirection
		if ( $('#bsaSuccessProAgencyRedirect').length ) {
			let getAgencyRedirectUrl = $('#bsa_payment_agency_url').val();
			setTimeout(function() {
				window.location.replace(getAgencyRedirectUrl);
			}, 2000);
		}
		// viewable layer
		let bsaPopupLayer = $('.bsaPopupLayer');
		bsaPopupLayer.each(function() {
			let child = $(this).first('.bsaProItem');
			let childId = $(this).first('.bsaProItem').data('item-id');
			if ( childId ) {
				child.removeClass('bsaProItem').hide();
				$(this).attr('data-item-id', childId).addClass('bsaProItem');
			}
		});
		// show ads
		bsaProItem.each(function () {
			if ($(this).data('animation') != null && $(this).data('animation') !== 'none') {
				$(this).addClass('bsaToAnimate');
			} else {
				$(this).fadeIn(500).removeClass('bsaHidden');
			}
		});
		setTimeout(function() {
			bsaProItem = $('.bsaProItem');
			bsaProItem.each(function () {
				if ( $(this).hasClass('bsaToAnimate') && $(this).itemViewableScreen() === true ) {
					$(this).addClass('animated ' + $(this).data('animation')).removeClass('bsaHidden bsaToAnimate');
				}
			});
		}, 100);
	});
	// animation trigger
	$(window).on('scroll', function () {
		let scrollTop = $(window).scrollTop();
		let windowSize = $(window).height();
		bsaProItem = $('.bsaProItem');
		bsaProItem.each(function () {
			let prev = $(this).offset();
			// console.log($(this).attr('data-item-id'));
			// console.log(scrollTop + windowSize);
			// console.log(prev.top);
			if ( $(this).hasClass('bsaToAnimate') && (scrollTop + windowSize - prev.top) > 10 ) {
				$(this).addClass('animated ' + $(this).data('animation')).removeClass('bsaHidden bsaToAnimate');
			}
		});
	}).scroll();
})(jQuery);